apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-09-29T02:20:39Z'
  generation: 2
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:type': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
      manager: Mozilla
      operation: Update
      time: '2025-09-29T02:20:38Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:preserveStaticIPs': {}
      manager: kubectl-edit
      operation: Update
      time: '2025-09-29T02:22:16Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-09-29T02:25:24Z'
  name: cold-win2022-dhcp
  namespace: openshift-mtv
  resourceVersion: '1323693'
  uid: e28daef3-63d2-408d-ba45-869dc7819376
spec:
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: true
  targetNamespace: mtv-test
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 41f61df8-3433-4b4f-a06e-2c463ebeac03
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: vcenter7-test
      namespace: openshift-mtv
      uid: 1609bfca-cb2c-4af0-879a-07153f031393
  preserveStaticIPs: false
  type: cold
  vms:
    - id: vm-2378
      name: mtv-feature-win2022-dhcp
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: vcenter7-test-28wcb
      namespace: openshift-mtv
      uid: 9a2821a3-e276-41d1-b5d7-9cd2a25fd6e0
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: vcenter7-test-fgnp7
      namespace: openshift-mtv
      uid: ee5c13a1-6c92-49ee-b71a-e93daffc724b
  runPreflightInspection: true
  targetPowerState: auto
status:
  conditions:
    - category: Required
      lastTransitionTime: '2025-09-29T02:20:46Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-09-29T02:25:24Z'
      message: The plan execution has FAILED.
      status: 'True'
      type: Failed
  migration:
    completed: '2025-09-29T02:25:24Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-09-29T02:25:24Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: vcenter7-test-28wcb
            namespace: openshift-mtv
            uid: 9a2821a3-e276-41d1-b5d7-9cd2a25fd6e0
          storage:
            generation: 1
            name: vcenter7-test-fgnp7
            namespace: openshift-mtv
            uid: ee5c13a1-6c92-49ee-b71a-e93daffc724b
        migration:
          generation: 1
          name: cold-win2022-dhcp-hxstm
          namespace: openshift-mtv
          uid: c7e4ed92-b1a6-4c38-b25c-d16d266f11a5
        plan:
          generation: 2
          name: cold-win2022-dhcp
          namespace: openshift-mtv
          uid: e28daef3-63d2-408d-ba45-869dc7819376
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 41f61df8-3433-4b4f-a06e-2c463ebeac03
          source:
            generation: 1
            name: vcenter7-test
            namespace: openshift-mtv
            uid: 1609bfca-cb2c-4af0-879a-07153f031393
    started: '2025-09-29T02:24:53Z'
    vms:
      - started: '2025-09-29T02:24:53Z'
        pipeline:
          - description: Initialize migration.
            name: Initialize
            phase: Running
            progress:
              completed: 0
              total: 1
            started: '2025-09-29T02:24:53Z'
          - annotations:
              unit: MB
            description: Allocate disks.
            name: DiskAllocation
            phase: Pending
            progress:
              completed: 0
              total: 16384
            tasks:
              - annotations:
                  unit: MB
                name: '[mtv-nfs-rhos-v7] mtv-feature-win2022-dhcp/mtv-feature-win2022-dhcp.vmdk'
                progress:
                  completed: 0
                  total: 16384
          - description: Convert image to kubevirt.
            name: ImageConversion
            phase: Pending
            progress:
              completed: 0
              total: 1
          - annotations:
              unit: MB
            description: Copy disks.
            name: DiskTransferV2v
            phase: Pending
            progress:
              completed: 0
              total: 16384
            tasks:
              - annotations:
                  unit: MB
                name: '[mtv-nfs-rhos-v7] mtv-feature-win2022-dhcp/mtv-feature-win2022-dhcp.vmdk'
                progress:
                  completed: 0
                  total: 16384
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        error:
          phase: CreateDataVolumes
          reasons:
            - Next step 'DiskTransfer' not found
        completed: '2025-09-29T02:25:24Z'
        name: mtv-feature-win2022-dhcp
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-09-29T02:25:21Z'
            message: The VM migration has FAILED.
            status: 'True'
            type: Failed
        restorePowerState: 'On'
        id: vm-2378
        phase: Completed
  observedGeneration: 2
